/*
 * TextureDefinitions.h
 *
 *  Created on: 30-11-2010
 *      Author: Marcin Ciechowicz
 */

#ifndef TEXTURE_DEFINITIONS_H
#define TEXTURE_DEFINITIONS_H

#include <string>
using namespace std;

/*
 * 	if you want add new texture, increase TEXTURECOUNTER, and name of texture, and file with texture
 *  TextureManager will do the rest;
 *  If you want to get use texture in the code, checkout TextureManager.h file.
 */

const int TEXTURECOUNT = 5;

enum GameTexture
{
	STICK = 0 ,
	TABLE_CLOTH,
	TABLE_FRAME,
	FLOOR,
	WALL
};

static std::string textureFolder="Data/";
static std::string textureFileN[TEXTURECOUNT]={"stick.bmp","cloth.bmp","table-frame.bmp", "wood-floor.bmp", "wall.bmp"};
#endif
