#ifndef GAME_OBJECT_H
#define GAME_OBJECT_H

#include "../Common/Vector.h"
class GameObject
{
	protected:
		bool visible;
	public:
		GameObject():visible(true){};
		virtual void draw() =0;
		virtual void drawShadow(Vector &lightPosition)=0;
		virtual bool isVisible();
		virtual void setVisibility(bool);
		~GameObject(){};
};

#endif
