#ifndef TABLE_H
#define TABLE_H

#include "../Common/Constants.h"
#include "GameObject.h"
#include "../Common/Vector.h"
#include <GL/gl.h>
#include <GL/glut.h>
#include "../Engine/TextureManager.h"
#include "../Engine/GraphicDefinitions.h"

class Table: public GameObject
{
	private:
		TextureManager *textMan;
		void drawQuarter();
		void drawLeg(real H, real R, real x, real z);
		void drawFrameQuarter();
	public:
		Vector position;
		Table(Vector tablePosition=Vector(0,0,0));
		void draw();
		void drawShadow(Vector &lightPosition);


};

#endif
