/*
 * ContactGenerator.h
 *
 *  Created on: 2010-11-20
 *      Author: krejziwan
 */

#ifndef CONTACTGENERATOR_H_
#define CONTACTGENERATOR_H_

#include "Contact.h"
#include <vector>
#include <functional>
#include <algorithm>
#include "../Common/Constants.h"

class ContactGenerator {
public:
	std::vector<Contact> generateContacts(std::vector<RigidBody*>& bodies);
	void findNeighbors(std::vector<RigidBody*>& bodies);
};


#endif /* CONTACTGENERATOR_H_ */
