/*
 * GameLogic.cpp
 *
 *  Created on: 03-12-2010
 *      Author: marcin
 */

#include "GameLogic.h"



#define SQRT_3 1.73205081f

static int num = 0;

void GameLogic::resetTable()
{
	scene->reset();
	if (!balle.empty())
	{
		for (vector<Ball*>::iterator it=balle.begin(); it!=balle.end(); it++)
		{
				delete (*it);
		}
	}
	num=0;
}

void GameLogic::makeNewTable()
{
	//TODO copy following code to the method which draws initial balls
	Table *table = new Table(Vector(0.0,0,0.0));

	real x=PINKSPOT.first,y=PINKSPOT.second+2*BALLRADIUS+0.01;
	Ball *b=NULL;
	for(int i = 0; i<5;++i) {
		for(int j = 0;j<=i;++j) {
			b= new Ball(RED, Vector (x+BALLRADIUS*2*j,0.0,y));
			scene->add(b);
			physics->add(b);
			balle.push_back(b);
			b->setNumber(num++);
		}
		x-=BALLRADIUS;
		y+=SQRT_3*BALLRADIUS;
	}
	b= new Ball(YELLOW,Vector(YELLOWSPOT));
	scene->add(b);
				physics->add(b);
				balle.push_back(b);
				b->setNumber(num++);
	b= new Ball(GREEN,Vector(GREENSPOT));
				scene->add(b);
							physics->add(b);
							balle.push_back(b);
							b->setNumber(num++);
	b= new Ball(BROWN,Vector(BROWNSPOT));
							scene->add(b);
										physics->add(b);
										balle.push_back(b);
										b->setNumber(num++);
	b= new Ball(BLUE,Vector(BLUESPOT));
										scene->add(b);
													physics->add(b);
													balle.push_back(b);
													b->setNumber(num++);
	b= new Ball(BLACK,Vector(BLACKSPOT));
													scene->add(b);
																physics->add(b);
																balle.push_back(b);
																b->setNumber(num++);
	b =new Ball(PINK,Vector(PINKSPOT));
																scene->add(b);
																			physics->add(b);
																			balle.push_back(b);
																			b->setNumber(num++);
	x = (YELLOWSPOT.first+BROWNSPOT.first)/2.0;
	y = YELLOWSPOT.second;
	b = new Ball(WHITE,Vector(x,0.0,y));
	scene->add(b);
				physics->add(b);
				physics->setCueBall(b);
				balle.push_back(b);
				b->setNumber(num++);

	scene->add(table);
//	scene->add(new Stick());
}

GameLogic::~GameLogic(){}

void GameLogic::processNotification(ISubject *subject)
{
	if (subject->getType()==ISubject::State)
	{
		GameState *st=(GameState *) subject;
		if (st->getCurrentState() == GameState::MAIN_MENU)
		{

		}
		else if (st->getCurrentState() == GameState::NEW_GAME)
		{
			resetTable();
			makeNewTable();
			st->setCurrentState(GameState::HIT_BALL);
		}
	}

}

