#include "Engine.h"
//#include "GlutOptions.h"

class GlutEngine
{
	private:
		static Engine * engine;
	
		std::string glutWindowName;
		
		unsigned int	glutWindowHeight;
		unsigned int	glutWindowWidth;
		unsigned int	glutWindowPosX;
		unsigned int	glutWindowPosY;

		static void display();
		static void idle();
		static void resize(int x, int y);
		static void keyboard(unsigned char key, int x, int y);
		static void mouse(int button, int state, int x, int y);

	public:
	
		static void registerEngine(Engine *newEngine);
		void setWindowName(std::string name);
		void startEngine(int argc, char **argv);

};
