/*
 * TextureManger.cpp
 *
 *  Created on: 02-12-2010
 *      Author: marcin
 */
#include "TextureManager.h"
#include <iostream>

void TextureManager::loadTextures()
	{
		BMPFile *tmp=NULL;
		texture=new GLuint[TEXTURECOUNT];
		glGenTextures(TEXTURECOUNT,texture);
		std::cout <<"\n>>>TEXTURE MANAGER:: LOADING TEXTURES\n";
		for (int i=0; i<TEXTURECOUNT; i++)
		{
			tmp=loadBMPFile(textureFolder+textureFileN[i]);
			if (tmp!=NULL)
			{

			//	BMPTextures.push_back(tmp);


				glBindTexture(GL_TEXTURE_2D,texture[i]);

			    glTexParameteri(GL_TEXTURE_2D,GL_TEXTURE_MAG_FILTER,GL_NEAREST); // scale linearly when image bigger than texture
			    glTexParameteri(GL_TEXTURE_2D,GL_TEXTURE_MIN_FILTER,GL_NEAREST);						//	glTexParameteri(GL_TEXTURE_2D, GL_TEXTURE_WRAP_S,GL_REPEAT);
				glTexParameteri(GL_TEXTURE_2D, GL_TEXTURE_WRAP_T,GL_REPEAT);
				glTexParameteri(GL_TEXTURE_2D, GL_TEXTURE_WRAP_S,GL_REPEAT);

/*
				switch(filterType)
				{
				case NoFilter:
								glTexParameteri(GL_TEXTURE_2D, GL_TEXTURE_MAG_FILTER,GL_NEAREST);
								glTexParameteri(GL_TEXTURE_2D, GL_TEXTURE_MIN_FILTER,GL_NEAREST);
								break;
				case Bilinear:
								glTexParameteri(GL_TEXTURE_2D, GL_TEXTURE_MAG_FILTER,GL_LINEAR);
								glTexParameteri(GL_TEXTURE_2D, GL_TEXTURE_MIN_FILTER,GL_LINEAR);
								break;
				case Trilinear:
								glTexParameteri(GL_TEXTURE_2D, GL_TEXTURE_MAG_FILTER,GL_NICEST);
								glTexParameteri(GL_TEXTURE_2D, GL_TEXTURE_MIN_FILTER,GL_NICEST);
								break;
				}
*/
				glTexImage2D(GL_TEXTURE_2D, 0, 3,tmp->info.width,tmp->info.height,0, GL_RGB, GL_UNSIGNED_BYTE, tmp->data);

			}
			if (tmp!=NULL) delete tmp;
		}
		std::cout <<">>>TEXTURE MANAGER:: ALL TEXTURES LOADED\n\n";
	}

GLuint TextureManager::giveMeTexture(int number)
{
	return (number<TEXTURECOUNT)?texture[number]:-1;
}

