#ifndef BALL_H 
#define BALL_H

#include "../Common/Constants.h"
#include "../Common/Vector.h"
#include "../Physics/RigidBody.h"
#include "GameObject.h"

class Ball: public GameObject, public RigidBody
{
	private:
		
		Color color;

	public:
		Ball(Color ballColor, Vector ballPosition=Vector(0,0,0));
		void draw();
		void drawShadow(Vector &lightPosition);
		
};

#endif
