#include "GameObject.h"
#include "../Engine/TextureManager.h"
#include "../Engine/TextureDefinitions.h"
#include "../Engine/GraphicDefinitions.h"
#include "../Common/Constants.h"

#include <vector>
#include <algorithm>
#include <functional>
#include <GL/gl.h>
#include <GL/glut.h>


using namespace std;

class Scene 
{
	private:
	 vector<GameObject *> elements;
	TextureManager *textMan;


	public:

		Scene(){ textMan = TextureManager::getInstance();}
		void reset(){elements.clear();};
		void add(GameObject * element);
		void draw();
		void drawShadows(Vector &lightPosition);
		~Scene(){}
};



