#include "Table.h"


Table::Table(Vector ballPosition)
{
	position=ballPosition;
	textMan=TextureManager::getInstance();
}

void Table::drawLeg(real H, real R, real x, real z) {
	glPushMatrix();
	glTranslated(x,-TABLEHEIGHT/2-0.1,z);
	glScaled(R,H,R);
	glutSolidCube(1.0);
	glPopMatrix();
}

void Table::drawFrameQuarter() {

	//frame
	glBindTexture(GL_TEXTURE_2D, textMan->giveMeTexture(TABLE_FRAME));
	glCallList(SNOOK3D_TABLE_FRAME);
}

void Table::drawQuarter()
{


	glEnable(GL_TEXTURE_2D);

	glColor3f(0.0,0.3,0.0);
	glBindTexture(GL_TEXTURE_2D, textMan->giveMeTexture(TABLE_CLOTH));

	glCallList(SNOOK3D_TABLE);
	drawFrameQuarter();
		drawLeg(TABLEHEIGHT,0.2,TABLEWIDTH/2, TABLELENGTH/2);
	glDisable(GL_TEXTURE_2D);


}

void Table::draw()
{
	if (visible)
	{
     //   glEnable(GL_LIGHTING);
  // glColor3f(0,0.23,0);

		glPushMatrix();


			glTranslated(0,-BALLRADIUS,0);

			glPushMatrix();
			drawQuarter();
			glScaled(1.0,1.0,-1.0);
			drawQuarter();
			glScaled(-1.0,1.0,1.0);
			drawQuarter();
			glScaled(1.0,1.0,-1.0);
		    drawQuarter();
			glPopMatrix();

		glPopMatrix();



		}


}

void Table::drawShadow(Vector &lightPosition){}
